Mail archive
alpine-aports

[alpine-aports] [PATCH V2] testing/logwatch: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Wed, 2 Mar 2016 10:30:26 +0200

A customizable, pluggable log-monitoring system
http://www.logwatch.org

---
v2: make APKBUILD more readable & fix scripts and conf permissions
---
 testing/logwatch/APKBUILD | 56 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 56 insertions(+)
 create mode 100644 testing/logwatch/APKBUILD
diff --git a/testing/logwatch/APKBUILD b/testing/logwatch/APKBUILD
new file mode 100644
index 0000000..1a4b9f9
--- /dev/null
+++ b/testing/logwatch/APKBUILD
_at_@ -0,0 +1,56 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=logwatch
+pkgver=7.4.2
+pkgrel=0
+pkgdesc="A customizable, pluggable log-monitoring system"
+url="http://www.logwatch.org"
+arch="noarch"
+license="custom"
+depends="perl"
+depends_dev=
+makedepends=
+install=
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/project/$pkgname/$pkgname-$pkgver/$pkgname-$pkgver.tar.gz"
+
+package() {
+	cd "$srcdir"/$pkgname-$pkgver
+
+	mkdir -p "$pkgdir"/usr/bin \
+		"$pkgdir"/var/cache/$pkgname \
+		"$pkgdir"/etc/periodic/daily \
+		"$pkgdir"/etc/$pkgname/scripts \
+		"$pkgdir"/etc/$pkgname/conf/logfiles \
+		"$pkgdir"/etc/$pkgname/conf/services \
+		"$pkgdir"/usr/share/$pkgname/dist.conf/logfiles \
+		"$pkgdir"/usr/share/$pkgname/dist.conf/services \
+		|| return 1
+
+	touch "$pkgdir"/etc/$pkgname/conf/ignore.conf \
+		"$pkgdir"/etc/$pkgname/conf/override.conf \
+		"$pkgdir"/etc/$pkgname/conf/logwatch.conf \
+		|| return 1
+
+	cp -a lib "$pkgdir"/usr/share/$pkgname/lib || return 1
+	cp -a scripts "$pkgdir"/usr/share/$pkgname/scripts || return 1
+	cp -a conf "$pkgdir"/usr/share/$pkgname/default.conf || return 1
+
+	find "$pkgdir"/usr/share/$pkgname/scripts -type f -exec chmod 0755 {} \;
+	find "$pkgdir"/usr/share/$pkgname/default.conf -type f -exec chmod 0644 {} \;
+
+	ln -s /usr/share/$pkgname/scripts/$pkgname.pl "$pkgdir"/usr/bin/$pkgname || return 1
+	ln -s /usr/share/$pkgname/scripts/$pkgname.pl "$pkgdir"/etc/periodic/daily/$pkgname || return 1
+
+	find . -name '*.[[:digit:]]' \
+		-exec sh -c 'install -Dm644 $0 "$1"/usr/share/man/man${0##*.}/$0' {} "$pkgdir" \; \
+		|| return 1
+
+	install -Dm644 README "$pkgdir"/usr/share/doc/$pkgname/README || return 1
+	install -Dm644 HOWTO-Customize-LogWatch "$pkgdir"/usr/share/doc/$pkgname/HOWTO-Customize-LogWatch || return 1
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+}
+
+md5sums="6eef537d20a7ec3bd3c99109853e2a05  logwatch-7.4.2.tar.gz"
+sha256sums="006e122a1973bb12b92eb79622ebc93716ec0766a6987e73b4ae5387509e5ade  logwatch-7.4.2.tar.gz"
+sha512sums="aed19220ccbe70a39148e0cdcfe421e7cf744d06d01e4decc88980f3e9e97f85f1cc40aee9a8857fb123a41ffb001afa75eeccdfcdc001073057d39a01875cb2  logwatch-7.4.2.tar.gz"
-- 
2.7.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Mar 02 2016 - 10:30:26 GMT